This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981298 - Kitchensink-rf and helloworld-rf depend on old version of RichFaces
Kitchensink-rf and helloworld-rf depend on old version of RichFaces
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Examples (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Pete Muir
Stefan Miklosovic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 08:26 EDT by Pavol Pitonak
Modified: 2015-08-02 19:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The kitchensink-rf and helloworld-rf quickstarts have a wrong version of the richfaces-bom dependency specified in the pom.xml file. Consequently, a wrong version of RichFaces is used by the quickstarts. To work around the issue, edit the pom.xml file and change the richfaces-bom version to 4.3.2.Final-redhat-1. As a result of the workaround, the quickstarts will be built and run with the correct RichFaces version.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 11:50:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-29 Major New Kitchensink-rf and helloworld-rf depend on old version of RichFaces 2013-08-09 09:49:27 EDT

  None (edit)
Description Pavol Pitonak 2013-07-04 08:26:55 EDT
Description of problem:
Two examples for RichFaces (kitchensink-rf and helloworld-rf) distributed in jboss-wfk-quickstarts-2.3.0-dist.zip depend on old version of RichFaces (4.2.0.Final in helloworld-rf and 4.2.2.Final in kitchensink-rf). When I change it manually to 4.3.2.Final-redhat-1, everything works fine.

Version-Release number of selected component (if applicable):
2.3.0.CR2

How reproducible:


Steps to Reproduce:
1. extract jboss-wfk-quickstarts-2.3.0-dist.zip
2. open kitchensink-rf/pom.xml
3. open helloworld-rf/pom.xml

Actual results:


Expected results:
Both examples should use RichFaces 4.3.2.Final-redhat-1.

Additional info:
richfaces-validation demo contains correct version of RF.
Comment 1 Petr Penicka 2013-07-09 10:27:47 EDT
Edited doc text for WFK 2.3 release notes.
Comment 2 Pete Muir 2013-07-16 11:50:56 EDT
Migrated to JIRA
Comment 3 JBoss JIRA Server 2013-07-30 09:29:12 EDT
Pavel Slegr <pslegr@redhat.com> made a comment on jira WFK2-29

Is this relevant ? The bz referenced issue is closed  https://bugzilla.redhat.com/show_bug.cgi?id=981298
and this is a known issue now for wfk-2.3, should it be marked as "Resolved" ? 
In case this issue is meant not forget to update pom refs for next wfk-2.4 RF related quickstarts, we should create a new one IMO, and maybe track this one as base for more info.
Comment 4 JBoss JIRA Server 2013-07-30 13:14:06 EDT
Brian Leathem <bleathem@gmail.com> made a comment on jira WFK2-29

This was resolved with the resolution of JDF-409.
Comment 5 JBoss JIRA Server 2013-07-30 14:41:20 EDT
Rodney Russ <rruss@redhat.com> made a comment on jira WFK2-29

Should it be acked or closed then [~bleathem] ?

Note You need to log in before you can comment on or make changes to this bug.